import { Vector2, Vector3 } from 'three';
export declare const getNearKeyPoint: (keyPoints: THREE.Vec2[], point: THREE.Vec2) => import("three").Vec2 | undefined;
/**
 * @desc 计算最佳线路时，需要转换数据
 */
export declare function standardKeyPointsChanger(path: any[]): any;
/**
 * @desc 截取精度
 */
export declare function myTruncate(point: number[], precision?: number): number[];
export declare function getDistance(p1: Vector3 | Vector2, p2: Vector3 | Vector2): number;
/**
 * @desc 把字符串转换成 float
 */
export declare function parsePath(path: any): any;
